Query Certificate List
Query the list of all certificates that have been imported or requested on the PBX system.
Request URL
GET {base_url}/{api_path}/certificate/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| type | No | String | Filter results by specific certificate type. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of certificates. |
| certificate_list | Array<Cert_List> | The information of certificates. |
Cert_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Certificate ID. |
| name | String | Certificate name. |
| type | String | The type of the certificate.
|
| issue_to | String | The domain name associated with the certificate. |
| expiration | String | The expiration time of the certificate. |
| ca_type | String | How the certificate was added. Note: This parameter is only returned for PBX server certificate.
|
| auto_renewal | Integer | Whether the certificate automatic-renewal is enabled. Note: This parameter is only returned for PBX server certificate.
|
| dns_provider | String | The DNS provider used for certificate application and auto-renewal. Note: This parameter is only returned for PBX server certificate. |
| apply_status | String | The current application status of the certificate.
|
| apply_tip_code | Integer | The tip code for a certificate application or renewal operation. Note: This parameter is returned if certificate application or renewal fail, and the code is generated by the DNS provider. |
| auth_info_list | Array<Auth_Info> | The DNS authentication information required for certificate application and auto-renewal. Note: This parameter is only returned for PBX server certificate. |
Auth_Info
Note: For the detailed description about the DNS authentication parameters, see Supported DNS Providers.
| Parameter | Type | Description |
|---|---|---|
| k | String | The key for the authentication parameter as defined by the DNS provider. |
| iv | Integer | Return the integer-format value of the authentication parameter. |
| sv | String | Return the string-format value of the authentication parameter. |
| bv | Boolean | Return the boolean-format value of the authentication parameter. |
Examples
Request example
GET /openapi/v1.0/certificate/list?access_token=n7V6X4DIqK8zdJiOMLcZ842NA2x8rl6x HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"certificate_list": [
{
"id": 1,
"name": "wildcard_example_com.crt",
"type": "trusted",
"issue_to": "*.example.com",
"expiration": "2025/05/25 03:03:10 PM",
"apply_status": "issuance_success"
},
{
"id": 2,
"name": "example.domain.com.crt",
"type": "server",
"issue_to": "example.domain.com",
"expiration": "2025/05/25 10:45:42 AM",
"ca_type": "upload",
"apply_status": "issuance_success"
},
{
"id": 3,
"name": "docs.example.com.pem",
"type": "server",
"issue_to": "docs.example.com",
"expiration": "-",
"ca_type": "apply",
"auto_renewal": 1,
"dns_provider": "alidns",
"apply_status": "issuing",
"auth_info_list": [
{
"k": "AccessKeyId",
"sv": "AKIAIXXXXXXXXXXAMPLE"
},
{
"k": "AccessKeySecret",
"sv": "wJalrXUXXXXXXXXXXLEKEY"
},
{
"k": "PropagationTimeout",
"iv": 300
},
{
"k": "PollingInterval",
"iv": 5
},
{
"k": "TTL",
"iv": 600
}
]
}
]
}